Index: orxonox/trunk/src/lib/math/vector.h
===================================================================
--- orxonox/trunk/src/lib/math/vector.h	(revision 4835)
+++ orxonox/trunk/src/lib/math/vector.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file vector.h
-    \brief A basic 3D math framework
+  *  A basic 3D math framework
 
     Contains classes to handle vectors, lines, rotations and planes
@@ -27,45 +27,45 @@
   ~Vector () {}
 
-  /** \param index The index of the "array" \returns the x/y/z coordinate */
+  /** @param index The index of the "array" @returns the x/y/z coordinate */
   inline float operator[] (float index) const {if( index == 0) return this->x; if( index == 1) return this->y; if( index == 2) return this->z; }
-  /**  \param v The vector to add \returns the addition between two vectors (this + v) */
+  /*** @param v The vector to add @returns the addition between two vectors (this + v) */
   inline Vector operator+ (const Vector& v) const { return Vector(x + v.x, y + v.y, z + v.z); };
-  /**  \param v The vector to add \returns the addition between two vectors (this + v) */
+  /*** @param v The vector to add @returns the addition between two vectors (this + v) */
   inline Vector operator+ (const sVec3D& v) const { return Vector(x + v[0], y + v[1], z + v[2]); };
-  /** \param v The vector to add  \returns the addition between two vectors (this += v) */
+  /** @param v The vector to add  @returns the addition between two vectors (this += v) */
   inline const Vector& operator+= (const Vector& v) { this->x += v.x; this->y += v.y; this->z += v.z; return *this; };
-  /** \param v The vector to substract  \returns the substraction between two vectors (this - v) */
+  /** @param v The vector to substract  @returns the substraction between two vectors (this - v) */
   inline const Vector& operator+= (const sVec3D& v) { this->x += v[0]; this->y += v[1]; this->z += v[2]; return *this; };
-  /** \param v The vector to substract  \returns the substraction between two vectors (this - v) */
+  /** @param v The vector to substract  @returns the substraction between two vectors (this - v) */
   inline Vector operator- (const Vector& v) const { return Vector(x - v.x, y - v.y, z - v.z); }
-  /** \param v The vector to substract  \returns the substraction between two vectors (this - v) */
+  /** @param v The vector to substract  @returns the substraction between two vectors (this - v) */
   inline Vector operator- (const sVec3D& v) const { return Vector(x - v[0], y - v[1], z - v[2]); }
-  /** \param v The vector to substract  \returns the substraction between two vectors (this -= v) */
+  /** @param v The vector to substract  @returns the substraction between two vectors (this -= v) */
   inline const Vector& operator-= (const Vector& v) { this->x -= v.x; this->y -= v.y; this->z -= v.z; return *this; };
-  /** \param v The vector to substract  \returns the substraction between two vectors (this -= v) */
+  /** @param v The vector to substract  @returns the substraction between two vectors (this -= v) */
   inline const Vector& operator-= (const sVec3D& v) { this->x -= v[0]; this->y -= v[1]; this->z -= v[2]; return *this; };
-  /** \param v the second vector  \returns The dotProduct between two vector (this (dot) v) */
+  /** @param v the second vector  @returns The dotProduct between two vector (this (dot) v) */
   inline float operator* (const Vector& v) const { return x * v.x + y * v.y + z * v.z; };
-  /** \todo strange */
+  /** @todo strange */
   inline const Vector& operator*= (const Vector& v) { this->x *= v.x; this->y *= v.y; this->z *= v.z; return *this; };
-  /** \param f a factor to multiply the vector with \returns the vector multiplied by f (this * f) */
+  /** @param f a factor to multiply the vector with @returns the vector multiplied by f (this * f) */
   inline Vector operator* (float f) const { return Vector(x * f, y * f, z * f); };
-  /** \param f a factor to multiply the vector with \returns the vector multiplied by f (this *= f) */
+  /** @param f a factor to multiply the vector with @returns the vector multiplied by f (this *= f) */
   inline const Vector& operator*= (float f) { this->x *= f; this->y *= f; this->z *= f; return *this; };
-  /** \param f a factor to divide the vector with \returns the vector divided by f (this / f) */
+  /** @param f a factor to divide the vector with @returns the vector divided by f (this / f) */
   inline Vector operator/ (float f) const {if (unlikely(f == 0.0)) return Vector(0,0,0); else return Vector(this->x / f, this->y / f, this->z / f); };
-  /** \param f a factor to divide the vector with \returns the vector divided by f (this /= f) */
+  /** @param f a factor to divide the vector with @returns the vector divided by f (this /= f) */
   inline const Vector& operator/= (float f) {if (unlikely(f == 0.0)) {this->x=0;this->y=0;this->z=0;} else {this->x /= f; this->y /= f; this->z /= f;} return *this; };
-  /** \brief copy constructor \todo (i do not know it this is faster) \param v the vector to assign to this vector. \returns the vector v */
+  /** \brief copy constructor @todo (i do not know it this is faster) @param v the vector to assign to this vector. @returns the vector v */
   inline const Vector& operator= (const Vector& v) { this->x = v.x; this->y = v.y; this->z = v.z; return *this; };
-  /** \brief copy constructor  \param v the sVec3D to assign to this vector. \returns the vector v */
+  /** \brief copy constructor* @param v the sVec3D to assign to this vector. @returns the vector v */
   inline const Vector& operator= (const sVec3D& v) { this->x = v[0]; this->y = v[1]; this->z = v[2]; }
-  /** \param v: the other vector \return the dot product of the vectors */
+  /** @param v: the other vector \return the dot product of the vectors */
   float dot (const Vector& v) const { return x*v.x+y*v.y+z*v.z; };
-  /** \param v: the corss-product partner \returns the cross-product between this and v (this (x) v) */
+  /** @param v: the corss-product partner @returns the cross-product between this and v (this (x) v) */
   inline Vector cross (const Vector& v) const { return Vector(y * v.z - z * v.y, z * v.x - x * v.z, x * v.y - y * v.x ); }
-  /** \brief scales the this vector with v  \param v the vector to scale this with */
+  /** \brief scales the this vector with v* @param v the vector to scale this with */
   void scale(const Vector& v) {   x *= v.x;  y *= v.y; z *= v.z; };
-  /** \returns the length of the vector */
+  /** @returns the length of the vector */
   inline float len() const { return sqrt (x*x+y*y+z*z); }
   /** \brief normalizes the vector */
@@ -93,15 +93,15 @@
 
 /**
-   \brief calculate the angle between two vectors in radiances
-   \param v1: a vector
-   \param v2: another vector
-   \return the angle between the vectors in radians
+ *  calculate the angle between two vectors in radiances
+ * @param v1: a vector
+ * @param v2: another vector
+ * @return the angle between the vectors in radians
 */
 inline float angleDeg (const Vector& v1, const Vector& v2) { return acos( v1 * v2 / (v1.len() * v2.len())); };
 /**
-   \brief calculate the angle between two vectors in degrees
-   \param v1: a vector
-   \param v2: another vector
-   \return the angle between the vectors in degrees
+ *  calculate the angle between two vectors in degrees
+ * @param v1: a vector
+ * @param v2: another vector
+ * @return the angle between the vectors in degrees
 */
 inline float angleRad (const Vector& v1, const Vector& v2) { return acos( v1 * v2 / (v1.len() * v2.len())) * 180/M_PI; };
@@ -117,31 +117,31 @@
   /** \brief creates a Default quaternion (multiplicational identity Quaternion)*/
   inline Quaternion () { w = 1; v = Vector(0,0,0); }
-  /** \brief creates a Quaternion looking into the direction v \param v: the direction \param f: the value */
+  /** \brief creates a Quaternion looking into the direction v @param v: the direction @param f: the value */
   inline Quaternion (const Vector& v, float f) { this->w = f; this->v = v; }
   Quaternion (float m[4][4]);
-  /** \brief turns a rotation along an axis into a Quaternion \param angle: the amount of radians to rotate \param axis: the axis to rotate around */
+  /** \brief turns a rotation along an axis into a Quaternion @param angle: the amount of radians to rotate @param axis: the axis to rotate around */
   inline Quaternion (float angle, const Vector& axis) { w = cos(angle/2); v = axis * sin(angle/2); }
   Quaternion (const Vector& dir, const Vector& up);
   Quaternion (float roll, float pitch, float yaw);
   Quaternion operator/ (const float& f) const;
-  /** \param f: the value to divide by \returns the quaternion devided by f (this /= f) */
+  /** @param f: the value to divide by @returns the quaternion devided by f (this /= f) */
   inline const Quaternion& operator/= (const float& f) {*this = *this / f; return *this;}
   Quaternion operator* (const float& f) const;
-  /** \param f: the value to multiply by \returns the quaternion multiplied by f (this *= f) */
+  /** @param f: the value to multiply by @returns the quaternion multiplied by f (this *= f) */
   inline const Quaternion& operator*= (const float& f) {*this = *this * f; return *this;}
   Quaternion operator* (const Quaternion& q) const;
-  /** \param q: the Quaternion to multiply by \returns the quaternion multiplied by q (this *= q) */
+  /** @param q: the Quaternion to multiply by @returns the quaternion multiplied by q (this *= q) */
   inline const Quaternion operator*= (const Quaternion& q) {*this = *this * q; return *this; };
-  /** \param q the Quaternion to add to this \returns the quaternion added with q (this + q) */
+  /** @param q the Quaternion to add to this @returns the quaternion added with q (this + q) */
   inline Quaternion operator+ (const Quaternion& q) const { return Quaternion(q.v + v, q.w + w); };
-  /** \param q the Quaternion to add to this \returns the quaternion added with q (this += q) */
+  /** @param q the Quaternion to add to this @returns the quaternion added with q (this += q) */
   inline const Quaternion& operator+= (const Quaternion& q) { this->v += q.v; this->w += q.w; return *this; };
-  /** \param q the Quaternion to substrace from this \returns the quaternion substracted by q (this - q) */
+  /** @param q the Quaternion to substrace from this @returns the quaternion substracted by q (this - q) */
   inline Quaternion operator- (const Quaternion& q) const { return Quaternion(q.v - v, q.w - w); }
-  /** \param q the Quaternion to substrace from this \returns the quaternion substracted by q (this -= q) */
+  /** @param q the Quaternion to substrace from this @returns the quaternion substracted by q (this -= q) */
   inline const Quaternion& operator-= (const Quaternion& q) { this->v -= q.v; this->w -= q.w; return *this; };
-  /** \brief copy constructor \param q: the Quaternion to set this to. \returns the Quaternion q (or this) */
+  /** \brief copy constructor @param q: the Quaternion to set this to. @returns the Quaternion q (or this) */
   inline Quaternion operator= (const Quaternion& q) {this->v = q.v; this->w = q.w; return *this;}
-  /** \brief conjugates this Quaternion \returns the conjugate */
+  /** \brief conjugates this Quaternion @returns the conjugate */
   inline Quaternion conjugate () const {  Quaternion r(*this);  r.v = Vector() - r.v;  return r;}
   Quaternion inverse () const;
Index: orxonox/trunk/src/lib/particles/particle_emitter.cc
===================================================================
--- orxonox/trunk/src/lib/particles/particle_emitter.cc	(revision 4835)
+++ orxonox/trunk/src/lib/particles/particle_emitter.cc	(revision 4836)
@@ -31,5 +31,5 @@
 
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 ParticleEmitter::ParticleEmitter(const Vector& direction, float angle, float emissionRate,
@@ -47,6 +47,6 @@
 
 /**
-   \brief constructs and loads a ParticleEmitter from a XML-element
-   \param root the XML-element to load from
+ *  constructs and loads a ParticleEmitter from a XML-element
+ * @param root the XML-element to load from
 */
 ParticleEmitter::ParticleEmitter(const TiXmlElement* root)
@@ -61,5 +61,5 @@
 
 /**
-   \brief standard destructor
+ *  standard destructor
 
    removes the EmitterSystem from the ParticleEngine
@@ -87,6 +87,6 @@
 
 /**
-   \brief loads a ParticleEmitter from a XML-element
-   \param root the XML-element to load from
+ *  loads a ParticleEmitter from a XML-element
+ * @param root the XML-element to load from
 */
 void ParticleEmitter::loadParams(const TiXmlElement* root)
@@ -120,5 +120,5 @@
 
 /**
-   \brief this start the emitter
+ *  this start the emitter
 */
 void ParticleEmitter::start() {}
@@ -126,5 +126,5 @@
 
 /**
-   \brief this stops the emitter
+ *  this stops the emitter
 */
 void ParticleEmitter::stop() {}
@@ -135,5 +135,5 @@
 
 /**
-   \param type the new Type of this emitter
+ * @param type the new Type of this emitter
 */
 void ParticleEmitter::setType(EMITTER_TYPE type)
@@ -143,6 +143,6 @@
 
 /**
-   \brief sets the type of emitter
-   \param type the type as a const char*
+ *  sets the type of emitter
+ * @param type the type as a const char*
    dot: EMITTER_DOT, plane: EMITTER_PLANE, cube: EMITTER_CUBE, sphere, EMITTER_SPHERE;
 */
@@ -172,5 +172,5 @@
 
 /**
-   \brief sets a new size to the emitter
+ *  sets a new size to the emitter
 */
 void ParticleEmitter::setSize(float emitterSize)
@@ -183,6 +183,6 @@
 
 /**
-   \brief set the emission rate
-   \param emissionRate: sets the number of particles emitted per second
+ *  set the emission rate
+ * @param emissionRate: sets the number of particles emitted per second
 
    if you want to change the value of this variable during emission time (to make it more dynamic)
@@ -198,6 +198,6 @@
 
 /**
-   \brief how much of the speed from the ParticleEmitter should flow onto the ParticleSystem
-   \param value a Value between zero and one
+ *  how much of the speed from the ParticleEmitter should flow onto the ParticleSystem
+ * @param value a Value between zero and one
 
    if you want to change the value of this variable during emission time (to make it more dynamic)
@@ -215,7 +215,7 @@
 
 /**
-   \brief set the angle of the emitter
-   \param angle around the direction in which there are particles to be emitted
-   \param randomAngle A random spread-angle, the +- randomness of this option
+ *  set the angle of the emitter
+ * @param angle around the direction in which there are particles to be emitted
+ * @param randomAngle A random spread-angle, the +- randomness of this option
 
    if you want to change the value of this variable during emission time (to make it more dynamic)
@@ -229,7 +229,7 @@
 
 /**
-   \brief sets the initial velocity of all particles emitted
-   \param velocity The starting velocity of the emitted particles
-   \param randomVelocity A random starting velocity, the +- randomness of this option
+ *  sets the initial velocity of all particles emitted
+ * @param velocity The starting velocity of the emitted particles
+ * @param randomVelocity A random starting velocity, the +- randomness of this option
 
    if you want to change the value of this variable during emission time (to make it more dynamic)
@@ -243,7 +243,7 @@
 
 /**
-   \brief sets the initial Momentum of all particles emitted
-   \param momentum the new Momentum (just a float for being not too complicated).
-   \param randomMomentum variation from the given value.
+ *  sets the initial Momentum of all particles emitted
+ * @param momentum the new Momentum (just a float for being not too complicated).
+ * @param randomMomentum variation from the given value.
  */
 void ParticleEmitter::setEmissionMomentum(float momentum, float randomMomentum)
@@ -254,7 +254,7 @@
 
 /**
-   \brief this set the time to life of a particle, after which it will die
-   \param dt: the time to live in seconds
-   \param system: the system into which to emitt
+ *  this set the time to life of a particle, after which it will die
+ * @param dt: the time to live in seconds
+ * @param system: the system into which to emitt
 
    if you want to change the value of this variable during emission time (to make it more dynamic)
@@ -308,5 +308,5 @@
 
 /**
-   \brief outputs some nice debug information
+ *  outputs some nice debug information
 */
 void ParticleEmitter::debug() const
Index: orxonox/trunk/src/lib/particles/particle_emitter.h
===================================================================
--- orxonox/trunk/src/lib/particles/particle_emitter.h	(revision 4835)
+++ orxonox/trunk/src/lib/particles/particle_emitter.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file particle_emitter.h
-    \brief Definition of a ParticleEmitter
+  *  Definition of a ParticleEmitter
 */
 
@@ -58,19 +58,19 @@
   void setDirection(float x, float y, float z) { this->direction = Vector(x,y,z); }; //!< todo this should be done via PNODE
 
-  /** \returns the type of the emitter */
+  /** @returns the type of the emitter */
   inline EMITTER_TYPE getType() const { return this->type; };
-  /** \returns the Type as a const char * */
+  /** @returns the Type as a const char * */
   const char* getTypeC() const;
-  /** \returns the Size of the emitter */
+  /** @returns the Size of the emitter */
   inline float getSize() const { return this->emitterSize; };
-  /** \returns the emissionRate */
+  /** @returns the emissionRate */
   inline float getEmissionRate() const { return this->emissionRate; };
-  /** \returns the inherit-speed-factor */
+  /** @returns the inherit-speed-factor */
   inline float getInheritSpeed() const { return this->inheritSpeed; };
-  /** \returns the SpreadAngle of the emitter */
+  /** @returns the SpreadAngle of the emitter */
   inline float getSpread() const { return this->angle; };
-  /** \returns the EmissionVelocity of the emitter */
+  /** @returns the EmissionVelocity of the emitter */
   inline float getEmissionVelocity() const { return this->velocity; };
-  /** \returns the EmissionMomentum of this emitter */
+  /** @returns the EmissionMomentum of this emitter */
   inline float getEmissionMomentum() const { return this->momentum; };
 
Index: orxonox/trunk/src/lib/particles/particle_engine.cc
===================================================================
--- orxonox/trunk/src/lib/particles/particle_engine.cc	(revision 4835)
+++ orxonox/trunk/src/lib/particles/particle_engine.cc	(revision 4836)
@@ -29,5 +29,5 @@
 
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 ParticleEngine::ParticleEngine ()
@@ -42,10 +42,10 @@
 
 /**
-   \brief the singleton reference to this class
+ *  the singleton reference to this class
 */
 ParticleEngine* ParticleEngine::singletonRef = NULL;
 
 /**
-   \brief deletes all the system, emitters, connections and Lists
+ *  deletes all the system, emitters, connections and Lists
 */
 ParticleEngine::~ParticleEngine ()
@@ -84,5 +84,5 @@
 /**
   \brief loads the ParticleEngines settings and connections between particles and emitters
-  \param root the XML-element to load this from.
+* @param root the XML-element to load this from.
  */
 void ParticleEngine::loadParams(const TiXmlElement* root)
@@ -98,5 +98,5 @@
 
 /**
-   \brief Adds a System to the System list.
+ *  Adds a System to the System list.
 
    this is done automatically when creating a ParticleSystem
@@ -108,5 +108,5 @@
 
 /**
-   \brief Adds an emitter to the emitterList
+ *  Adds an emitter to the emitterList
 
    this is done automatically when creating a ParticleEmitter
@@ -119,6 +119,6 @@
 /**
   \brief Connects a ParticleSystem to a ParticleSystem thus emitting Particles.
-  \param emitter the Emitter to connect to the System
-  \param system the System to connect to the Emitter
+* @param emitter the Emitter to connect to the System
+* @param system the System to connect to the Emitter
 */
 void ParticleEngine::addConnection(const char* emitter, const char* system)
@@ -139,7 +139,7 @@
 
 /**
-   \brief Connects a ParticleSystem to a ParticleSystem thus emitting Particles.
-   \param emitter the Emitter to connect to the System
-   \param system the System to connect to the Emitter
+ *  Connects a ParticleSystem to a ParticleSystem thus emitting Particles.
+ * @param emitter the Emitter to connect to the System
+ * @param system the System to connect to the Emitter
 */
 void ParticleEngine::addConnection(ParticleEmitter* emitter, ParticleSystem* system)
@@ -171,6 +171,6 @@
 
 /**
-   \brief Removes a system from the systemList and also removes all Connections to the System
-   \param system The ParticleSystem to delete
+ *  Removes a system from the systemList and also removes all Connections to the System
+ * @param system The ParticleSystem to delete
 */
 bool ParticleEngine::removeSystem(ParticleSystem* system)
@@ -192,6 +192,6 @@
 
 /**
-   \brief removes an emitter from the emitterList and also from all Connections it is attached to.
-   \param emitter the ParticleEmitter to remove.
+ *  removes an emitter from the emitterList and also from all Connections it is attached to.
+ * @param emitter the ParticleEmitter to remove.
 */
 bool ParticleEngine::removeEmitter(ParticleEmitter* emitter)
@@ -213,8 +213,8 @@
 
 /**
-   \brief removes a Connection between an Emitter and a System
-   \param emitter The emitter of the connection to remove
-   \param system The system of the connection to remove
-   \returns true, if the connection was broken, false if the conntection was not found
+ *  removes a Connection between an Emitter and a System
+ * @param emitter The emitter of the connection to remove
+ * @param system The system of the connection to remove
+ * @returns true, if the connection was broken, false if the conntection was not found
 
    only if both system and emitter are in the connection the Connection will be broken
@@ -240,6 +240,6 @@
 
 /**
-   \brief removes a Connection between an Emitter and a System
-   \param connection the connection to remove
+ *  removes a Connection between an Emitter and a System
+ * @param connection the connection to remove
 
    \see bool ParticleEngine::breakConnection(ParticleEmitter* emitter, ParticleSystem* system)
@@ -253,6 +253,6 @@
 
 /**
-   \brief this function ticks all the ParticleSystems, so an animation will flow
-   \param dt passed since last tick
+ *  this function ticks all the ParticleSystems, so an animation will flow
+ * @param dt passed since last tick
 */
 void ParticleEngine::tick(float dt)
@@ -280,5 +280,5 @@
 
 /**
-   \brief draws all the systems and their Particles.
+ *  draws all the systems and their Particles.
 */
 void ParticleEngine::draw() const
@@ -296,6 +296,6 @@
 
 /**
-   \param systemName the name of the system to search for
-   \returns the system called by systemName or NULL if not found
+ * @param systemName the name of the system to search for
+ * @returns the system called by systemName or NULL if not found
 */
 ParticleSystem* ParticleEngine::getSystemByName(const char* systemName) const
@@ -317,6 +317,6 @@
 
 /**
-   \param number the n-th system to return
-   \returns the system called by number or NULL if not found
+ * @param number the n-th system to return
+ * @returns the system called by number or NULL if not found
 */
 ParticleSystem* ParticleEngine::getSystemByNumber(unsigned int number) const
@@ -340,6 +340,6 @@
 
 /**
-   \param emitterName the name of the emitter to search for
-   \returns the emitter called by emitterName or NULL if not found
+ * @param emitterName the name of the emitter to search for
+ * @returns the emitter called by emitterName or NULL if not found
 */
 ParticleEmitter* ParticleEngine::getEmitterByName(const char* emitterName) const
@@ -362,6 +362,6 @@
 
 /**
-   \param number the n-th emitter to return
-   \returns the emitter called by number or NULL if not found
+ * @param number the n-th emitter to return
+ * @returns the emitter called by number or NULL if not found
 */
 ParticleEmitter* ParticleEngine::getEmitterByNumber(unsigned int number) const
@@ -385,5 +385,5 @@
 
 /**
-   \brief outputs some nice debug information
+ *  outputs some nice debug information
 */
 void ParticleEngine::debug()
Index: orxonox/trunk/src/lib/particles/particle_engine.h
===================================================================
--- orxonox/trunk/src/lib/particles/particle_engine.h	(revision 4835)
+++ orxonox/trunk/src/lib/particles/particle_engine.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file particle_engine.h
-    \brief Definition of the ParticleEngine
+  *  Definition of the ParticleEngine
 */
 
@@ -34,5 +34,5 @@
  public:
   virtual ~ParticleEngine();
-  /** \returns a Pointer to the only object of this Class */
+  /** @returns a Pointer to the only object of this Class */
   inline static ParticleEngine* getInstance() { if (!singletonRef) singletonRef = new ParticleEngine();  return singletonRef; };
 
